Bug 144671 - Group Limitation of 32 Causing Issues
Group Limitation of 32 Causing Issues
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: dff
Brian Brock
: FutureFeature
: 146258 (view as bug list)
Depends On:
Blocks: 133089
  Show dependency treegraph
 
Reported: 2005-01-10 10:56 EST by Andrew Merkert
Modified: 2007-11-30 17:07 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-13 08:11:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Merkert 2005-01-10 10:56:39 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; Tyco 
Electronics 01/2003; SV1; .NET CLR 1.1.4322)

Description of problem:
As a large corporation using Linux to support both Windows PCs and 
various UNIX platforms, we would like to have the maximum number of 
groups that a user can be a member of increased from the current 
maximum of 32 to 64, 128, or 256 to allow for a more granular 
security configuration.

Version-Release number of selected component (if applicable):
kernel-2.4.21-20.EL

How reproducible:
Always

Steps to Reproduce:
1. Add a user to 33 groups in the /etc/group file.
2. Change the permissions on a file so that only the 32nd group has 
access to the file.
3. Try to access the file (successful)
4. Change the permissions on the same file so that only the 33rd 
group has access to the file.
5. Try to access the file (unsuccessful)
    

Actual Results:  The first attempt is successful and the second 
attempt fails.

Additional info:
Comment 1 Suzanne Hillman 2005-01-10 17:22:33 EST
Internal RFE bug #144721 entered; will be considered for future releases.
Comment 4 Jeff Needle 2005-01-13 08:11:43 EST
This was already discussed in internal bug #133299.  We cannot change NGROUPS
for RHEL3 due to Kernel ABI issues, but for our upcoming RHEL4 release, this
restriction will be lifted.
Comment 5 Ernie Petrides 2005-01-26 21:16:00 EST
*** Bug 146258 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.